Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7229 - Occaisional disk errors "hda: no DRQ after issuing WRITE"
Summary: Occaisional disk errors "hda: no DRQ after issuing WRITE"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-22 15:14 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-03-14 08:01:52 UTC


Attachments (Terms of Use)

Description Need Real Name 1999-11-22 15:14:55 UTC
I'm getting occaisional disk errors on my machine of the form:

hda: status timeout: status=0xd0 { Busy }
hda: no DRQ after issuing WRITE
ide0: reset: success

There has been no evidence (i.e. fsck failures) that these errors have
caused actual problems on the disk.  The relevant portion of my
dmesg follows:

PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:DMA
hda: ST36421A, ATA DISK drive
hdc: SAMSUNG SC-148B, ATAPI CDROM drive
ide2: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: ST36421A, 6150MB w/256kB Cache, CHS=784/255/63
hdc: ATAPI 48X CD-ROM drive, 128kB Cache

I'm running redhat linux 6.1, and I have a seagate drive.  I changed
both software and hardware at the same time (I upgraded my computer,
which required a new release of linux, so I upgraded my software).  My
processor is a celeron 400A.

I'm happy to provide whatever other information might be required.

Comment 1 Need Real Name 1999-11-22 15:38:59 UTC
A search through dejanews reveals a lively discussion on various mailing lists
on this bug.  Quick summary:
-- It appears to be related to having a seagate drive; possibly it's simple
using a UDA66 drive on a UDA33 controller.
-- Reactions have ranged from "your drives about to die" to "linux deals with
those; don't worry about it".
-- Fixes suggested have ranged from "Recheck your cables" to "load the new
driver" to "adjust your BIOS specs by hand".  Unfortunately, the most
authoritative answer seems to be to adjust BIOS specs, and details weren't
given on how to do this.

Comment 2 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 3 Colin Manning 2000-03-14 08:01:59 UTC
I resolved this problem by disabling UDMA in the system BIOS in three different
systems - Each with different BIOS's - That is why there are no details on how
to do this in the news groups.

Comment 4 Alan Cox 2000-08-08 17:18:59 UTC
If that didnt work for you re-open this one.



Note You need to log in before you can comment on or make changes to this bug.